/**
* Utilisé dans la partie front
*/

.ny-container {
    background-color: #f5f5f5;
    padding: 1rem;
}
.ny-container section {
    width: 100%;
    margin-right: auto;
    margin-left: auto;
    box-sizing: border-box;
}
@media (min-width: 640px) {
    .ny-container {
        padding: 2rem;
    }
    .ny-container section {
        max-width: 640px;
    }
}

@media (min-width: 768px) {
    .ny-container section {
        max-width: 768px;
    }
}

@media (min-width: 1024px) {
    .ny-container section {
        max-width: 1024px;
    }
}

@media (min-width: 1280px) {
    .ny-container {
        padding: 3rem;
    }
    .ny-container section {
        max-width: 1280px;
    }
}

h1 {
    font-size: 2.5rem;
    margin-bottom: 1rem;
}

h2 {
    font-size: 2rem;
    margin-bottom: 1rem;
}
p {
    margin-bottom: 1rem;
}

.ny-container a {
    color: #007bff;
    text-decoration: none;
}
.ny-container a:hover {
    text-decoration: underline;
    color: #f30711;
}

.ny-back-button {
    margin: .2rem 0;
}

/* Formulaire de réservation */
.ny-is-required {
    color: red;
}
.ny-container form div {
    margin: auto;
    /* width: 40%; */
    margin-bottom: 1rem;
}
.ny-container form div label,
.ny-container form div input[type="text"],
.ny-container form div input[type="tel"],
.ny-container form div input[type="email"],
.ny-container form div select,
.ny-container form div textarea {
    display: block;
    width: 100%;
}
.ny-container form div.ny-form-checkbox label {
    display: inline;
    cursor: pointer;
    font-size: 0.8rem;
}
.ny-container form button {
    display: block;
    width: 100%;
    padding: 1rem;
    background-color: #d13628;
    background-color: #363638;
    color: white;
    border: none;
    cursor: pointer;
}
.ny-container form button:hover {
    background-color: #d13628;
}
.ny-juridique p {
    margin: .4rem 0;
    padding: 0;
    font-size: .6rem;
    color: #999999;
    line-height: .8rem;
}

/* Page affichant toutes les modèles de moto */
.ny-motorcycles-groups {
    margin: 2rem 0;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}
.ny-motorcycles-groups .card {
    padding: 1rem;
}
.ny-motorcycles-groups h3 {
    font-size: 1.75rem;
    padding: 0.4rem 0 0.6rem 0;
    border-bottom: 1px solid #dfdfdf;
}
.ny-motorcycles-list {
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
    justify-content: space-evenly;
}
.ny-motorcycles-list img {
    width: 100%;
    height: auto;
}
.ny-motorcycles-list figure {
    margin-bottom: 16px;
    /* border: 1px solid green; */
    width: 200px;
    text-align: center;
}
@media (min-width: 1024px) {
    .ny-motorcycles-list figure {
        width: 300px;
    }
}

/* components.show-motorcycle */
.ny-motorcycle-show .card {
    padding: 0.5rem 1rem;
    margin: 2rem 0;
    display: flex;
    align-items: center;
    flex-direction: column;
}
@media (min-width: 768px) {
    .ny-motorcycle-show .card {
        flex-direction: row;
        padding: 1rem 2rem;
    }
    .ny-motorcycle-show figure {
        min-width: 50%;
		margin: 1%;
    }
}
.ny-motorcycle-show figure img {
    width: 100%;
    height: auto;
}

a.btn-dark {
    color: white;
}
